Subject: bug#57309: 29.0.50; Build error "trying to dump non fixed-up eln file"

From: Andrea Corallo <[email-masked]>
Date: Mon, 22 Aug 2022 08:49:30 +0000

Gerd Möllmann <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Note that --bin-dest and --eln-dest have no arguments.
>>
>> Their values are defined in the top-level Makefile.  Why are they
>> empty in your case?
>
> Exactly.
>
> diff --git a/Makefile.in b/Makefile.in
> index 78103f897f..7541e8d6b6 100644
> --- a/Makefile.in
> +++ b/Makefile.in
> @@ -367,7 +367,7 @@ .PHONY:
>  # .pdmp containing the new autoloads.
>  .PHONY: src-depending-on-lisp
>  src-depending-on-lisp: lisp
> -	${MAKE} -C src
> +	${MAKE} -C src BIN_DESTDIR='$(BIN_DESTDIR)' ELN_DESTDIR='$(ELN_DESTDIR)'
>  
>  # If configure were to just generate emacsver.tex from emacsver.tex.in
>  # in the normal way, the timestamp of emacsver.tex would always be
>
>
> Everything falls back on oneself :-).
>
> (BTW, doesn't GNU make have an 'export', or do I misremember that.
> Whatever....)
>
> I'll commit this soon.

Sorry for the naive question but I just skimmed the whole thread.  Can
we consider this bug understood or there's something that still need
investigation/fix?

Thanks

  Andrea